#################################################################
#   Configuration Documentation                                 #
#   https://cq-repoured.fandom.com/wiki/Dungeon_Configuration   #
#   https://cq-repoured.fandom.com/wiki/Dungeon_Inhabitants     #
#################################################################

# The dungeon generator which will be used.
# Possible values: template_surface, randomized_castle, volcano, grid_city, hanging_city, linear_stronghold, vegetated_cave
generator = template_surface
# Enabled/Disable the generation of this dungeon.
enabled = true
# The model and texture of the dungeon placer item.
# min=0 max=19
icon = 5

# The weight that this dungeon will be selected for generation.
# min=0
weight = 5
# When this dungeon is selected for generation this is the chance in percent that this dungeon generates.
# min=0 max=100
chance = 70
# How often this dungeon can generate per world.
# no limit=-1
spawnLimit = -1

# List of dimensions where this dungeon can generate.
# Format: dimension_id_1, dimension_id_2, ...
allowedDims = 0
# Allows generation in all dimensions except the dimensions listed in 'allowedDims'.
allowedDimsAsBlacklist = false

# List of biomes where this dungeon can generate.
# Format: modid:biome_name_1, modid:biome_name_2, ...
allowedBiomes = 
# List of biome types where this dungeon can generate.
# Format: BIOME_TYPE_1, BIOME_TYPE_2, ...
allowedBiomeTypes = PLAINS, FOREST, SWAMP, SAVANNA
# Allows generation in all biomes except the biomes listed in 'disallowedBiomes' or biomes with a biome type listed in 'disallowedBiomeTypes'.
allowedInAllBiomes = false
# List of biomes where this dungeon can NOT generate.
# Format: modid:biome_name_1, modid:biome_name_2, ...
disallowedBiomes = 
# List of biome types where this dungeon can NOT generate.
# Format: BIOME_TYPE_1, BIOME_TYPE_2, ...
disallowedBiomeTypes = SNOWY

# List of positions where this dungeon will generate ignoring other config options.
# Format: x,z,spawnPointRelative; x,z,spawnPointRelative; ...
lockedPositions = 
# Enable this to only allow the generation of this dungeon further north than the 'Wall in the North'. The 'Wall in the North' has to be enabled for this to have an effect.
spawnOnlyBehindWall = false
# List of mods which have to be installed to spawn this dungeon.
# Format: modid_1, modid_2, ...
modDependencies = 
# List of dungeons which have to be generated first to generate this dungeon.
# Format: dungeon_name_1, dungeon_name_2, ...
dungeonDependencies = 
# Possible values: Stronghold, Village, Mineshaft, Temple, Monument, Mansion, Fortress, EndCity, AW2
structuresPreventingGeneration = Village, Temple, Mansion
structureCheckRadius = 4

# Enable to treat water blocks as air when calculating the y coordinate before this dungeon gets generated. (Example: Ship -> set to true; Sunken City -> set to false)
treatWaterAsAir = false
# How far this dungeon is offset into the ground. Note that this DOES NOT move the support platform. (Useful for dungeons with a cellar)
# min=0
undergroundoffset = 20
# This dungeon will be offset along the y axis by a random number between yOffsetMin and yOffsetMax. Note that this DOES move the support platform.
yOffsetMin = 4
yOffsetMax = 4
# When enabled this dungeon gets generated at a random y between yOffsetMin and yOffsetMax.
fixedY = false

# Advanced options
dummyReplacement = DEFAULT
replaceBanners = true

# Configuration of support platform
# Leave supportblock/supportblocktop empty to use the filler/top block of the biome.
buildsupportplatform = false
supportblock = minecraft:dirt
supportblocktop = minecraft:grass

# Cover block
usecoverblock = false
coverblock = minecraft:air

# Protection System
enableProtectionSystem = true
preventBlockBreaking = true
preventBlockPlacing = true
preventExplosionsTNT = false
preventExplosionsOther = true
preventFireSpreading = true
preventEntitySpawning = true
ignoreNoBossOrNexus = false

# Generator specific options
structureFolder = castles/floating
rotateDungeon = true
